package dev.peerat.backend.model;

import dev.peerat.mapping.Treasure;

@Treasure
public class Completion{
	
	private PeerAtUser player;
	private int tries;
	private String file;
	private int score;
	private int scoreTime;
	private int scoreRespect;
	private Solution solution;
	
	public Completion(){}
	
	public Completion(PeerAtUser player, String file){
		this.player = player;
		this.tries = 1;
		this.file = file;
	}
	
	public PeerAtUser getPlayer(){
		return this.player;
	}
	
	public int getTries(){
		return this.tries;
	}
	
	public String getFileName(){
		return this.file;
	}
	
	public int getScore(){
		return this.score;
	}
	
	public int getScoreTime(){
		return this.scoreTime;
	}
	
	public int getScoreRespect(){
		return this.scoreRespect;
	}
	
	public Solution getSolution(){
		return this.solution;
	}
}
